## gatb-core 1.4.2+dfsg

=== gatb-core/test/benchmark/CMakeLists.txt ===
################################################################################
#  EXAMPLES 
################################################################################

include_directories (${gatb-core-includes})

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11") # needed for bench_mphf


list (APPEND PROGRAMS bench1 bench_bloom bench_mphf bench_minim bench_graph bench_bagfile) 

FOREACH (program ${PROGRAMS})
  add_executable(${program} ${program}.cpp)
  target_link_libraries(${program} ${gatb-core-libraries})
ENDFOREACH (program)

=== debian/changelog ===
gatb-core (1.4.2+dfsg-8) unstable; urgency=medium

  * Fix symbols file
    Closes: #1002217

 -- Andreas Tille <tille@debian.org>  Wed, 22 Dec 2021 09:34:27 +0100

gatb-core (1.4.2+dfsg-7) unstable; urgency=medium

  [ Steffen Moeller ]
  * Applied patch from July 2020 (past 1.4.2 release) to allow compilation
    of minia - just exposing a few variables in the template class.
    Request to tag a new release on https://github.com/GATB/gatb-core/issues/38

  [ Andreas Tille ]
  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)
  * Fix ftbfs with gcc-11 by adapting symbols file
    Closes: #984145

 -- Andreas Tille <tille@debian.org>  Mon, 18 Oct 2021 13:51:05 +0200

gatb-core (1.4.2+dfsg-6) unstable; urgency=medium

  * Use int as return of fgetc
    Closes: #954273
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 02 Dec 2020 17:09:31 +0100

gatb-core (1.4.2+dfsg-5) unstable; urgency=medium

  * Fix installation of test data to really build on Architecture all
  * Fix installation of unit test script gatb-core-cppunit

 -- Andreas Tille <tille@debian.org>  Fri, 24 Jul 2020 10:01:31 +0200

gatb-core (1.4.2+dfsg-4) unstable; urgency=medium

  * Enable Architecture all only builds

 -- Andreas Tille <tille@debian.org>  Thu, 23 Jul 2020 22:21:16 +0200

gatb-core (1.4.2+dfsg-3) unstable; urgency=medium

  * debhelper-compat 13 (routine-update)
  * Update symbols for gcc-10
    Closes: #957254

 -- Andreas Tille <tille@debian.org>  Thu, 23 Jul 2020 13:41:55 +0200

gatb-core (1.4.2+dfsg-2) unstable; urgency=medium

  * Team Upload.
  * Update symbols file (Closes: #960414)

 -- Nilesh Patra <npatra974@gmail.com>  Wed, 10 Jun 2020 21:01:03 +0530

gatb-core (1.4.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Return to regular releases instead of git snaphots
  * add multi-arch hints
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Submit.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 13 Apr 2020 13:02:28 +0200

=== debian/control ===
Source: gatb-core
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Nadiya Sitdykova <rovenskasa@gmail.com>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               d-shlibs,
               cmake,
               libcppunit-dev,
               libhdf5-dev,
               libboost-dev,
               libjsoncpp-dev,
               doxygen,
               graphviz
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/med-team/gatb-core
Vcs-Git: https://salsa.debian.org/med-team/gatb-core.git
Homepage: https://github.com/GATB/gatb-core
Rules-Requires-Root: no

Package: gatb-core
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: Genome Analysis Toolbox with de-Bruijn graph
 The GATB-CORE project provides a set of highly efficient
 algorithms to analyse NGS data sets. These methods enable
 the analysis of data sets of any size on multi-core desktop
 computers, including very huge amount of reads data coming
 from any kind of organisms such as bacteria, plants,
 animals and even complex samples (e.g. metagenomes).
 Read more about GATB at https://gatb.inria.fr/.
 By itself GATB-CORE is not an NGS data analysis tool.
 However, it can be used to create such tools. There already
 exist a set of ready-to-use tools relying on GATB-CORE
 library: see https://gatb.inria.fr/software/

Package: libgatbcore3
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: dynamic library of the Genome Analysis Toolbox
 The GATB-CORE project provides a set of highly efficient
 algorithms to analyse NGS data sets. These methods enable
 the analysis of data sets of any size on multi-core desktop
 computers, including very huge amount of reads data coming
 from any kind of organisms such as bacteria, plants,
 animals and even complex samples (e.g. metagenomes).
 Read more about GATB at https://gatb.inria.fr/.
 By itself GATB-CORE is not an NGS data analysis tool.
 However, it can be used to create such tools. There already
 exist a set of ready-to-use tools relying on GATB-CORE
 library: see https://gatb.inria.fr/software/
 .
 This package contains the dynamic library.

Package: libgatbcore-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
         libgatbcore3 (= ${binary:Version})
Description: development library of the Genome Analysis Toolbox
 The GATB-CORE project provides a set of highly efficient
 algorithms to analyse NGS data sets. These methods enable
 the analysis of data sets of any size on multi-core desktop
 computers, including very huge amount of reads data coming
 from any kind of organisms such as bacteria, plants,
 animals and even complex samples (e.g. metagenomes).
 Read more about GATB at https://gatb.inria.fr/.
 By itself GATB-CORE is not an NGS data analysis tool.
 However, it can be used to create such tools. There already
 exist a set of ready-to-use tools relying on GATB-CORE
 library: see https://gatb.inria.fr/software/
 .
 This package contains the static library and the header files
 of the gatb-core library.

Package: gatb-core-testdata
Architecture: all
Depends: ${misc:Depends},
         gatb-core
Description: Genome Analysis Toolbox with de-Bruijn graph (test data)
 The GATB-CORE project provides a set of highly efficient
 algorithms to analyse NGS data sets. These methods enable
 the analysis of data sets of any size on multi-core desktop
 computers, including very huge amount of reads data coming
 from any kind of organisms such as bacteria, plants,
 animals and even complex samples (e.g. metagenomes).
 Read more about GATB at https://gatb.inria.fr/.
 By itself GATB-CORE is not an NGS data analysis tool.
 However, it can be used to create such tools. There already
 exist a set of ready-to-use tools relying on GATB-CORE
 library: see https://gatb.inria.fr/software/
 .
 This package contains some data to test the library.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifneq (,$(filter $(DEB_HOST_ARCH),armel mipsel powerpc sh4))
  EXTRA=-DCMAKE_CXX_STANDARD_LIBRARIES=-latomic
endif


include /usr/share/dpkg/default.mk
pkgtestdata=$(DEB_SOURCE)-testdata

%:
	dh $@ --sourcedirectory=gatb-core

override_dh_auto_configure:
	dh_auto_configure -- $(EXTRA)

override_dh_auto_build-arch:
	dh_auto_build -a

override_dh_auto_build-indep:
	echo "Save time of autobuilders and do nothing ... unfortunately this does not seem to work"

override_dh_install-arch:
	d-shlibmove --commit \
		    --multiarch \
		    --devunversioned \
		    --exclude-la \
                    --movedev debian/tmp/usr/include usr \
                    --movedev gatb-core/cmake usr/lib \
                    debian/tmp/usr/lib/*/*.so
	mkdir -p debian/$(DEB_SOURCE)/usr/lib/$(DEB_SOURCE)
	dh_install -a

override_dh_auto_install-indep:
	echo "Nothing to do here"

override_dh_missing:
	# test data are installed manually from main source to enable Architecture all builds
	rm -rf debian/tmp/usr/test/db
	dh_missing
